/******************************************************************
 * CAVERNsoft
 * Copyright (C) 1994-2000 Electronic Visualization Laboratory,
 * all rights reserved
 * By Jason Leigh, Yong-joo Cho, Naveen Krishnaprasad, Chris Scharver,
 * Stuart Bailey, Atul Nayak, Shalini Venkataraman
 * University of Illinois at Chicago
 * 
 * This publication and its text and code may not be copied for commercial 
 * use without the express written permission of the University of Illinois
 * at Chicago.
 * The contributors disclaim any representation of warranty: use this
 * code at your own risk.
 * Direct questions, comments etc to cavern@evl.uic.edu
 ******************************************************************/

#include "CAVERN.hxx"

#ifdef WIN32
#define sleep(seconds) Sleep(seconds * 1000)
#endif

main(int argc, char *argv[])
{
	CAVERNinit();

	CAVERNdb_server_c server;

	if (server.init() != CAVERNdb_server_c::OK) exit(1);
    /*int perfDaemonStatus =1;
	if (argc == 2  && server.initSendStats(argv[1]) != CAVERNnet_perfMonitor_c::OK) {
		printf("Cannot connect to %s\n", argv[1]);
		exit(1);
	}
    if (argc == 1) 
        perfDaemonStatus =0;
    */
	while(1) {
		server.process();
        //if (server.sendStats("CAVE_avatar_on_clark", "New_avatar_entered") != CAVERNnet_perfMonitor_c::OK)
        //printf("\nsendStats failed!\n");

		sleep(1);
	}
}




















