/******************************************************************
 * CAVERNsoft
 * Copyright (C) 1994-2000 Electronic Visualization Laboratory,
 * all rights reserved
 * By Jason Leigh, Yong-joo Cho, Naveen Krishnaprasad, Chris Scharver,
 * Stuart Bailey, Atul Nayak, Shalini Venkataraman
 * University of Illinois at Chicago
 * 
 * This publication and its text and code may not be copied for commercial 
 * use without the express written permission of the University of Illinois
 * at Chicago.
 * The contributors disclaim any representation of warranty: use this
 * code at your own risk.
 * Direct questions, comments etc to cavern@evl.uic.edu
 ******************************************************************/

#ifndef CAVERNMISC_HASH
#define CAVERNMISC_HASH

// Do we have 32bit or 64bit longs?
#if LONG_64_BITS || !INT_16_BITS
typedef int CAVERNmisc_hashWord_t;
#else
typedef long CAVERNmisc_hashWord_t;
#endif
/// Give a string, convert generate a hash table value.
CAVERNmisc_hashWord_t CAVERNmisc_hash (char *key, int ksize);
#endif
