/******************************************************************
 * CAVERNsoft
 * Copyright (C) 1994-2000 Electronic Visualization Laboratory,
 * all rights reserved
 * By Jason Leigh, Yong-joo Cho, Naveen Krishnaprasad, Chris Scharver,
 * Stuart Bailey, Atul Nayak, Shalini Venkataraman
 * University of Illinois at Chicago
 * 
 * This publication and its text and code may not be copied for commercial 
 * use without the express written permission of the University of Illinois
 * at Chicago.
 * The contributors disclaim any representation of warranty: use this
 * code at your own risk.
 * Direct questions, comments etc to cavern@evl.uic.edu
 ******************************************************************/

#include "CAVERNmisc_observer_c.hxx"
#include <stdio.h>

class Player : public CAVERNmisc_subject_c
{
public:
	char m_name[100];
	void move();

};

void Player::move()
{
	notify();
};

class Watcher : public CAVERNmisc_observer_c
{

	void update(CAVERNmisc_subject_c *);

};

void Watcher::update(CAVERNmisc_subject_c *s)
{
	printf("Watcher reacting to %s\n",((Player *)s)->m_name);
};

main()
{
	Player Player1,Player2;
	Watcher Watcher1;

	strcpy(Player1.m_name,"Player1");
	strcpy(Player2.m_name,"Player2");

	Player1.attach(&Watcher1);
	Player2.attach(&Watcher1);

	Player1.move();
	//move() calls notify() and Watcher reacts accordingly by calling its update method.

	Player2.move();
	//move() calls notify() and Watcher reacts accordingly by calling its update method..

}

