/******************************************************************
 * CAVERNsoft
 * Copyright (C) 1994-2000 Electronic Visualization Laboratory,
 * all rights reserved
 * By Jason Leigh, Yong-joo Cho, Naveen Krishnaprasad, Chris Scharver,
 * Stuart Bailey, Atul Nayak, Shalini Venkataraman
 * University of Illinois at Chicago
 * 
 * This publication and its text and code may not be copied for commercial 
 * use without the express written permission of the University of Illinois
 * at Chicago.
 * The contributors disclaim any representation of warranty: use this
 * code at your own risk.
 * Direct questions, comments etc to cavern@evl.uic.edu
 ******************************************************************/

#include "CAVERN.hxx"

#ifdef WIN32
#define sleep(seconds) Sleep(seconds * 1000)
#endif

main(int argc, char** argv)
{
	CAVERNinit();

	CAVERNnet_remoteParallelFileIOServer32_c server;

	server.init();

	while(1) {
		// Set it up so that a new thread is spawned for each
		// client's request.
		server.process(CAVERNnet_remoteParallelFileIOServer32_c::NON_THREADED);
		sleep(1);
	}
}
