/******************************************************************
 * CAVERNsoft
 * Copyright (C) 1994-2000 Electronic Visualization Laboratory,
 * all rights reserved
 * By Jason Leigh, Yong-joo Cho, Naveen Krishnaprasad, Chris Scharver,
 * Stuart Bailey, Atul Nayak, Shalini Venkataraman
 * University of Illinois at Chicago
 * 
 * This publication and its text and code may not be copied for commercial 
 * use without the express written permission of the University of Illinois
 * at Chicago.
 * The contributors disclaim any representation of warranty: use this
 * code at your own risk.
 * Direct questions, comments etc to cavern@evl.uic.edu
 ******************************************************************/
#include "CAVERN.hxx"

main(int argc, char ** argv)
{
	CAVERNinit();


	CAVERNnet_rpcCaller_c rpc1, rpc2;
	char* retdata;
	int retlen;

	rpc1.init("DO and REPLY",argv[1]);
	rpc1.call("RPC1 CLIENT CALLING", 20, &retdata, &retlen);
	printf("Reply: %s\n",retdata);

    //for an instantaneous display of performance monitoring statistics
    rpc1.showStats("Monitoring_in_RPC1", "Some_do_and_reply_data");

	rpc2.init("DO ONCE",argv[1]);
	rpc2.call1way("RPC2 CLIENT CALLING", 20);

}
